Bug 202364 - unsubscriptable exception in yumex
Summary: unsubscriptable exception in yumex
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-13 17:58 UTC by Herbert Carl Meyer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 08:06:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback from exception (1.09 KB, text/plain)
2006-08-13 17:58 UTC, Herbert Carl Meyer
no flags Details

Description Herbert Carl Meyer 2006-08-13 17:58:15 UTC
Description of problem:
exception in yumex, unsubcriptable 

Version-Release number of selected component (if applicable):
traceback says 1.1.0, rpm says 1.2.0

How reproducible:
select one or more rpm's for update.

Steps to Reproduce:
1. run repo refresh
2. select on or more updates to queue
3. process queue
  
Actual results:
exception popup dialog

Expected results:
updated system

Additional info:
see attached traceback

Comment 1 Herbert Carl Meyer 2006-08-13 17:58:16 UTC
Created attachment 134102 [details]
traceback from exception

Comment 2 Tim Lauridsen 2006-08-14 08:06:25 UTC
The error occours in the yum plugin located in /usr/lib/yum-plugins/kmdl.py.
It looks like is only working with commandline yum and not applications using
the yum API like yumex, pirut, pup.
You can disable the plugin in the yumex preferences.

The plugin shoud have a 
plugin_type = (TYPE_CORE, TYPE_INTERACTIVE)
because it works with the yum command line, The TYPE_INTERACTIVE interactive
flag with make the plugin inactive in yumex, because it only uses TYPE_CORE plugins.



Note You need to log in before you can comment on or make changes to this bug.